#include <iostream>
#include <stdlib.h>
using namespace std;

typedef long long data_t;

data_t sort( data_t arr[], data_t num ) {
   data_t i, j, k, m = 0;
   for( i = 0; i < num; i++ )
      for( j = 0; j < num - 1; j++ )
         if( arr[ j ] > arr[ j + 1 ] ) {
            k = arr[ j ];
            arr[ j ] = arr[ j + 1 ];
            arr[ j + 1 ] = k;
            m++;
         }
   return m; // число перестановок
}

void show( data_t arr[], data_t num ) { // отладка-контроль
   cout << "[ ";
   for( data_t i = 0; i < num; i++ ) 
      cout << arr[ i ] << " ";
   cout << "]" << endl;
}

int main( int argc, char **argv ) {
   if( argc != 2 )
      cout << "usage: " << argv[ 0 ] << " [-]<number>" << endl, exit( 1 ); 
   data_t size = atoll( argv[ 1 ] );
   bool debug = false;
   if( size < 0 ) size = -size, debug = true;
   data_t *vect = new data_t[ size ];
   for( int i = 0; i < size; i++ ) vect[ i ] = size - i;
   if( debug ) show( vect, size );
   cout << sort( vect, size ) << endl;
   if( debug ) show( vect, size );
   delete [] vect;
   return 0;
}
